@echo off

echo === assets ===
tools\bin2s text.chr  > chr.s
if errorlevel 1 goto asseterr
goto assetok

:asseterr
echo If you got "Bad command or file name" or "not an operable program" or
echo something similar during assets, then you need to compile the conversion
echo tools first.  Put MinGW [http://www.mingw.org] in your path and then run
echo mk.bat in the tools/ directory.
goto end

:assetok
echo === code ===
arm-elf-gcc -Wall -O3 -marm -mthumb-interwork -c isr.c -o isr.iwram.o
if errorlevel 1 goto end
arm-elf-gcc -Wall -O2 -mthumb -mthumb-interwork -specs=gba_mb.specs -o 1.elf dead.c chr.s isr.iwram.o
if errorlevel 1 goto end
arm-elf-objcopy -O binary 1.elf stuck_pixels.mb.gba
gbafix stuck_pixels.mb.gba

start stuck_pixels.mb.gba


:end
